#!/bin/sh
if [ -d "$1" ]; then
	echo "$1"
	cd "$1"

	for artist in *
	do
		if [ -d "$artist" ]; then
			echo " $artist"
			cd "$artist"

			for album in *
			do
				if [ -d "$album" ]; then
					echo "  $album"
					cd "$album"

					for song in *.flac
					do
						if [ -f "$song" ]; then
							echo "   ${song%.flac}"
							ffmpeg -i "$song" -codec:a libmp3lame -q:a 5 -c:v copy "${song%.flac}.mp3" 2> /dev/null
							rm "$song" 2> /dev/null
						fi
					done

					cd ..
				fi
			done

			cd ..
		fi
	done

	cd ..
fi
